macroScript SymmetryAutoMirrorY

category:"Symmetry" 

tooltip:"Symmetry AUTO Mirror Along Y"

buttontext:"AUTO Mirror Along Y"

icon:#("Symmetry",9)

(

on isVisible return symmetry_allowed_function()

on isEnabled return symmetry_allowed_function()

on isChecked return symmetry_automode_y

on execute do

(

symmetry_automode_y = not symmetry_automode_y

symmetry_force_data_rebuild()

if symmetry_automode_y then

	(

	when select symmetry_poly_obj changes id:#SymmetryAutoY handleAt:#redrawViews do

		(

		try

		(

		symmetry_check_class()

		symmetry_about_axis 2 1 symmetry_search_mode symmetry_threshold_value

		max views redraw

		)

		catch

		(

		symmetry_automode_y = false

		)		

		)--end when

	when topology symmetry_poly_obj changes id:#SymmetryAutoY handleAt:#redrawViews do

		(

		symmetry_force_rebuild_flag = true

		)

	when geometry symmetry_poly_obj changes id:#SymmetryAutoY handleAt:#redrawViews do

		(

		symmetry_force_rebuild_flag = true

		)

	when symmetry_poly_obj deleted id:#SymmetryAutoY handleAt:#redrawViews do

		(

		symmetry_automode_y = false

		symmetry_force_rebuild_flag = true

		)		

	)

	else

	(

	deleteAllChangeHandlers id:#SymmetryAutoY

	)

)--end execute

)--end script 
