macroScript SymmetryAutoMirrorZ

category:"Symmetry" 

tooltip:"Symmetry AUTO Mirror Along Z"

buttontext:"AUTO Mirror Along Z"

icon:#("Symmetry",10)

(

on isVisible return symmetry_allowed_function()

on isEnabled return symmetry_allowed_function()

on isChecked return symmetry_automode_z

on execute do

(

symmetry_automode_z = not symmetry_automode_z

symmetry_force_data_rebuild()

if symmetry_automode_z then

	(

	when select symmetry_poly_obj changes id:#SymmetryAutoZ handleAt:#redrawViews do

		(

		try

		(

		symmetry_check_class()

		symmetry_about_axis 3 1 symmetry_search_mode symmetry_threshold_value

		max views redraw

		)

		catch

		(

		symmetry_automode_z = false

		)

		)--end when

	when topology symmetry_poly_obj changes id:#SymmetryAutoZ handleAt:#redrawViews do

		(

		symmetry_force_rebuild_flag = true

		)

	when geometry symmetry_poly_obj changes id:#SymmetryAutoZ handleAt:#redrawViews do

		(

		symmetry_force_rebuild_flag = true

		)

	when symmetry_poly_obj deleted id:#SymmetryAutoZ handleAt:#redrawViews do

		(

		symmetry_automode_z = false

		symmetry_force_rebuild_flag = true

		)

		

	)

	else

	(

	deleteAllChangeHandlers id:#SymmetryAutoZ

	)

)--end execute

)--end script 
