macroScript SymmetryAutoMirrorX

category:"Symmetry" 

tooltip:"Symmetry AUTO Mirror Along X"

buttontext:"AUTO Mirror Along X"

icon:#("Symmetry",8)

(

on isVisible return symmetry_allowed_function()

on isEnabled return symmetry_allowed_function()

on isChecked return symmetry_automode_x

on execute do

(

symmetry_automode_x = not symmetry_automode_x

symmetry_force_data_rebuild()

if symmetry_automode_x then

	(

	when select symmetry_poly_obj changes id:#SymmetryAutoX handleAt:#redrawViews do

		(

		try

		(

		symmetry_check_class()

		symmetry_about_axis 1 1 symmetry_search_mode symmetry_threshold_value

		max views redraw

		)

		catch

		(

		symmetry_automode_x = false

		)

		)--end when

	when topology symmetry_poly_obj changes id:#SymmetryAutoX handleAt:#redrawViews do

		(

		symmetry_force_rebuild_flag = true

		)

	when geometry symmetry_poly_obj changes id:#SymmetryAutoX handleAt:#redrawViews do

		(

		symmetry_force_rebuild_flag = true

		)

	when symmetry_poly_obj deleted id:#SymmetryAutoX handleAt:#redrawViews do

		(

		symmetry_automode_x = false

		symmetry_force_rebuild_flag = true		

		)		

	)

	else

	(

	deleteAllChangeHandlers id:#SymmetryAutoX

	)

)--end execute

)--end script 
